OLX offer
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-olx-offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offer": "Offer id or URL, e.g. 1101345925"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-olx-offers"
payload = { "offer": "Offer id or URL, e.g. 1101345925" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({offer: 'Offer id or URL, e.g. 1101345925'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-olx-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "olx_offer",
"domain": "olx.pl",
"offer": "1101702811",
"offer_id": "1101702811",
"human": "# OLX offer\n\n- **domain:** olx.pl\n- **offer:** 1101702811\n- **Proxy traffic:** 3.1 KB\n- **Title:** łóżko jednoosobowe z drewna afrykańskiego 90x200\n- **URL:** https://www.olx.pl/d/oferta/lozko-jednoosobowe-z-drewna-afrykanskiego-90x200-CID628-ID1cyDeb.html\n- **Status:** active\n- **Price:** 900 zł negotiable\n- **Location:** Sanok, Podkarpackie",
"machine": {
"offer": {
"id": "1101702811",
"url": "https://www.olx.pl/d/oferta/lozko-jednoosobowe-z-drewna-afrykanskiego-90x200-CID628-ID1cyDeb.html",
"offer_title": "łóżko jednoosobowe z drewna afrykańskiego 90x200",
"description": "witam, mam na sprzedaż łóżko jednoosobowe, robione na zamówienie z drewna afrykańskiego.\n\nPosiada drobne ślady użytkowania, jest wytrzymałe dzięki deskom pod materacem.\n\nŁóżko zostało odkurzone oraz p",
"status": "active",
"offer_type": "offer",
"is_business": false,
"price": 900,
"previous_price": null,
"currency": "PLN",
"price_label": "900 zł",
"is_negotiable": true,
"is_price_arranged": true,
"salary_from": null,
"salary_to": null,
"salary_currency": null,
"salary_period": null,
"is_salary_gross": null,
"created_at": 1790779889,
"refreshed_at": 1790780328,
"pushed_at": null,
"omnibus_pushed_at": null,
"expires_at": 1793372198,
"category_id": "1920",
"category_type": "house_and_garden",
"location": {
"city_id": "72583",
"city": "Sanok",
"city_alias": "sanok",
"district_id": null,
"district": null,
"region_id": "17",
"region": "Podkarpackie",
"region_alias": "podkarpackie",
"latitude": 49.55815,
"longitude": 22.20117,
"radius": 4,
"zoom": 12,
"is_detailed": false
},
"seller": {
"id": "2361055558",
"uuid": "5ffe6c78-223e-481b-b603-0e1f44929d95",
"name": "rotting_vamp",
"company_name": null,
"about": null,
"image": null,
"alias": null,
"has_business_page": false,
"is_online": false,
"created_at": 1720711109,
"last_seen_at": 1790779889,
"social_network_account_type": null,
"has_other_offers": true
},
"contact_name": "rotting_vamp",
"attributes": [
{
"key": "state",
"name": "Stan",
"type": "select",
"values": [
"used"
],
"label": "Używane"
},
{
"key": "furniturebrand",
"name": "Marka",
"type": "select",
"values": [
"other"
],
"label": "Pozostałe"
}
],
"key_attributes": [],
"images": [
"https://ireland.apollo.olxcdn.com:443/v1/files/lfrbr1vynnbe3-PL/image;s=4032x3024",
"https://ireland.apollo.olxcdn.com:443/v1/files/59cnd2kr0wfu-PL/image;s=4032x3024"
],
"is_highlighted": false,
"is_top_ad": false,
"is_promoted": false,
"is_b2c_ad": false,
"promotion_options": [],
"has_phone": false,
"has_chat": true,
"has_negotiation": true,
"has_delivery": false,
"delivery_mode": "NotEligible",
"has_gpsr_info": true,
"is_phone_protected": true,
"external_url": null,
"partner_code": null,
"shop_alias": null
},
"proxy_traffic_bytes": 3156
},
"total_points": 5
}E-commerce & Marketplaces
OLX offer
Get one OLX ad by id or URL: price, description, location with coordinates, photos, attributes and seller. 5 point per returned record.
POST
/
functions
/
v1
/
run-olx-offers
OLX offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Offer. e.g. Offer id or URL, e.g. 1101345925
Marketplace. Options: olx.pl = olx.pl (Poland), olx.ua = olx.ua (Ukraine), olx.ro = olx.ro (Romania), olx.bg = olx.bg (Bulgaria), olx.pt = olx.pt (Portugal), olx.kz = olx.kz (Kazakhstan), olx.uz = olx.uz (Uzbekistan)
Available options:
olx.pl, olx.ua, olx.ro, olx.bg, olx.pt, olx.kz, olx.uz Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.